igeo

## Class IBounds

- java.lang.Object
- - igeo.IBounds

-     public class IBounds
      extends java.lang.Object

  Bounding box described by minimum point and maximum point.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IVec` | `max`
    `IVec` | `min`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IBounds()`
    `IBounds(java.util.ArrayList<IObject> objects)`
    `IBounds(double x, double y, double z, double xwidth, double yheight, double zdepth)`
    `IBounds(IBounds b)`
    `IBounds(IObject obj)`
    `IBounds(IObject[] objects)`
    `IBounds(IVec p)`
    `IBounds(IVec corner, double xwidth, double yheight, double zdepth)`
    `IBounds(IVecI[] pts)`
    `IBounds(IVec min, IVec max)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVec` | `center()`
    `void` | `compare(IObject e)`
    `void` | `compare(IVec p)`
    `void` | `compare(IVecI p)`
    `IBounds` | `cp()`
    `double` | `depth()`
    `IVec` | `getCenter()`
    `IVec` | `getMax()`
    `IVec` | `getMin()`
    `IVec` | `getSize()`
    `double` | `height()`
    `void` | `init()`
    `void` | `init(IVecI p)`
    `boolean` | `isCloserThan(IBounds b, double thresholdDist)`
    `boolean` | `isInside(IBounds bb)`
    `boolean` | `isInside(IVecI p)`
    `IVec` | `max()`
    `double` | `maxX()`
    `double` | `maxY()`
    `double` | `maxZ()`
    `IVec` | `min()`
    `double` | `minX()`
    `double` | `minY()`
    `double` | `minZ()`
    `void` | `setObject(IObject object)`
    `void` | `setObjects(java.util.ArrayList<IObject> objects)`
    `void` | `setObjects(IServer server)` Calculates bounding box of all the visible objects in IServer
    `IVec` | `size()`
    `java.lang.String` | `toString()`
    `double` | `width()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### min

          public IVec min

    - #### max

          public IVec max

  - ### Constructor Detail

    - #### IBounds

          public IBounds()

    - #### IBounds

          public IBounds(IVec p)

    - #### IBounds

          public IBounds(IObject obj)

    - #### IBounds

          public IBounds(IVec min,
                         IVec max)

    - #### IBounds

          public IBounds(IVec corner,
                         double xwidth,
                         double yheight,
                         double zdepth)

    - #### IBounds

          public IBounds(double x,
                         double y,
                         double z,
                         double xwidth,
                         double yheight,
                         double zdepth)

    - #### IBounds

          public IBounds(IObject[] objects)

    - #### IBounds

          public IBounds(IVecI[] pts)

    - #### IBounds

          public IBounds(java.util.ArrayList<IObject> objects)

    - #### IBounds

          public IBounds(IBounds b)

  - ### Method Detail

    - #### cp

          public IBounds cp()

    - #### min

          public IVec min()

    - #### getMin

          public IVec getMin()

    - #### max

          public IVec max()

    - #### getMax

          public IVec getMax()

    - #### minX

          public double minX()

    - #### minY

          public double minY()

    - #### minZ

          public double minZ()

    - #### maxX

          public double maxX()

    - #### maxY

          public double maxY()

    - #### maxZ

          public double maxZ()

    - #### width

          public double width()

    - #### height

          public double height()

    - #### depth

          public double depth()

    - #### size

          public IVec size()

    - #### getSize

          public IVec getSize()

    - #### center

          public IVec center()

    - #### getCenter

          public IVec getCenter()

    - #### isInside

          public boolean isInside(IVecI p)

    - #### isInside

          public boolean isInside(IBounds bb)

    - #### init

          public void init(IVecI p)

    - #### init

          public void init()

    - #### compare

          public void compare(IVec p)

    - #### compare

          public void compare(IVecI p)

    - #### compare

          public void compare(IObject e)

    - #### setObjects

          public void setObjects(IServer server)

      Calculates bounding box of all the visible objects in IServer

    - #### setObject

          public void setObject(IObject object)

    - #### setObjects

          public void setObjects(java.util.ArrayList<IObject> objects)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isCloserThan

          public boolean isCloserThan(IBounds b,
                                      double thresholdDist)